Subject: bug#48801: 28.0.50; [PATCH] Feature suggestion gnus-retrieve-headers check for nov-is-evil when agent is enabled

From: Alex Bochannek <[email-masked]>
Date: Tue, 08 Jun 2021 08:50:38 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Alex Bochannek <[email-masked]> writes:
>
>> I think your concern is that when `gnus-nov-is-evil' is set globally, it
>> will effectively disable the agent for everything? Maybe this logic
>> should reside in `gnus-agent-retrieve-headers' instead?
>
> Yes, I think that sounds more reasonable.

OK, I will keep working on it.

>> +	   (not (and (boundp gnus-method-nov-is-evil)
>> +                     (symbol-value gnus-method-nov-is-evil))))
>
> That's bound-and-true-p.  :-)

Ah, didn't know about that one :)

Thanks!

-- 
Alex.